# 🗃️ Catálogo Nacional de Dados

O Catálogo Nacional de Dados juntamente com o padrão DCAT-BR é um instrumento que centraliza e descreve os dados públicos, tornando-os mais acessíveis e compreensíveis para o governo, cidadãos, empresas, academia e sociedade em geral. Esse conjunto de soluções facilita a busca e a utilização desses dados para diversas finalidades, impulsionando a transparência, reuso, governança e a inovação.

![Interface Preview](https://www.gov.br/governodigital/pt-br/infraestrutura-nacional-de-dados/catalogo-nacional-de-dados/catalogo_nacional_de_dados/@@govbr.institucional.banner/b1aa34c9-9395-41d2-8978-21ebb141e44b/@@images/9c458d27-e88b-4978-bd57-b4f5c38880fb.png)

## 📝 Canais oficiais

- [Página oficial do Catálogo Nacional de Dados](https://www.gov.br/governodigital/pt-br/infraestrutura-nacional-de-dados/catalogo-nacional-de-dados)
- [Catálogo Nacional de Dados](https://dados.gov.br/home)

## 🛠 Acessar soluções e integrações

- [dcat-br-ecossistema](https://git.economia.gov.br/sgd_publico/catalogo_nacional_dados/-/blob/master/dcat-br-ecossistema/%20README.md)
- [Guia de Instalação e Configuração do CKAN](https://github.com/cgugovbr/guia-ckan?tab=readme-ov-file#integra%C3%A7%C3%A3o-com-o-portal-dadosgovbr)
- [Conjunto de dados de domínio](https://github.com/cgugovbr/guia-ckan/blob/master/PREENCHIMENTO-CKAN.md)
- [Integração DCAT-BR](https://github.com/cgugovbr/guia-ckan/blob/master/INTEGRACAO-DCAT-BR.md)

## 🤝 Como Contribuir

- Faça um fork do projeto;
- Crie uma branch para sua feature:

**Feature**:
```bash
git checkout -b feature/nova-feature
```

**Commit suas mudanças**:
```bash
git commit -m 'Adiciona nova funcionalidade'
```

**Push para a branch:**:
```bash
git push origin feature/nova-feature
```

**Abra um Pull Request**:

## 📄 Licença

- Este projeto está licenciado sob a Licença MIT.

## 🌐 Recursos Oficiais

- [Documentação DCAT-BR](https://www.gov.br/governodigital/pt-br/infraestrutura-nacional-de-dados/catalogo-nacional-de-dados/materiais-de-apoio/vocabulario-padrao-dcat-br-v1.0/@@download/file)
- [W3C DCAT](https://www.w3.org/TR/vocab-dcat-3/)

## 👥 Reconhecimentos

- [Controladoria Geral da União (CGU) - Dados Abertos](https://www.gov.br/cgu/pt-br/acesso-a-informacao/dados-abertos)
- [Ministério da Gestão e da Inovação em Serviços Públicos (MGI) - IND](https://www.gov.br/cgu/pt-br/acesso-a-informacao/dados-abertos)


