/*let siorgData = [];

async function loadSIORGData() {

    siorgData = [
        { codigo: "001", nome: "Presidência da República" },
        { codigo: "002", nome: "Ministério da Economia" },
        { codigo: "003", nome: "Ministério da Saúde" },
        { codigo: "004", nome: "Ministério da Educação" },
        { codigo: "005", nome: "Ministério da Defesa" },
        { codigo: "006", nome: "Ministério da Justiça e Segurança Pública" },
        { codigo: "007", nome: "Banco Central do Brasil" },
        { codigo: "008", nome: "Instituto Brasileiro de Geografia e Estatística (IBGE)" },
        { codigo: "009", nome: "Instituto Nacional de Seguridade Social (INSS)" },
        { codigo: "010", nome: "Agência Nacional de Saúde Suplementar (ANS)" },
        { codigo: "011", nome: "Agência Nacional de Águas e Saneamento Básico (ANA)" },
        { codigo: "012", nome: "Instituto do Patrimônio Histórico e Artístico Nacional (IPHAN)" },
        { codigo: "013", nome: "Agência Nacional de Telecomunicações (ANATEL)" },
        { codigo: "014", nome: "Agência Nacional de Aviação Civil (ANAC)" },
        { codigo: "015", nome: "Instituto Nacional de Metrologia, Qualidade e Tecnologia (INMETRO)" }
    ];

    initSelect2();


    Api do SIORG
    try {
        const response = await fetch('https://api.portaldatransparencia.gov.br/siorg/v1/orgaos');
        siorgData = await response.json();
        initSelect2();
    } catch (error) {
        console.error('Erro ao carregar SIORG:', error);
    }
    
}
*/


const siorgData = [
    { id: 1, text: "Ministério da Saúde" },
    { id: 2, text: "Ministério da Educação" },
    { id: 3, text: "Instituto Brasileiro de Geografia e Estatística (IBGE)" },
    { id: 4, text: "Agência Nacional de Saúde Suplementar (ANS)" },
    { id: 5, text: "Banco Central do Brasil" },
    { id: 6, text: "Ministério da Cidadania" }
];


function initSelect2() {
    $('#aiOrgao').select2({
        data: siorgData,
        placeholder: "Digite para buscar...",
        minimumInputLength: 2,
        language: {
            noResults: () => "Nenhum órgão encontrado",
            searching: () => "Buscando...",
            inputTooShort: () => "Digite pelo menos 2 caracteres"
        },
        dropdownParent: $('#aiWizard') // Importante para modais
    });
}

function openAIWizard() {    
    $('#aiWizard').modal('show');
    setTimeout(initSelect2, 500); // Garante inicialização após abertura do modal
    hideAIStatus();
}



async function generateWithAI() {
    const description = document.getElementById('aiDescription').value;
    const orgao = $('#aiOrgao').select2('data')[0]?.text || '';
    

    //console.log(description + " - " + orgao);

    if (!description || description.length < 10) {
        showAIStatus('A descrição deve ter pelo menos 10 caracteres', 'error');
        return;
    }

    showAIStatus('Gerando metadados por IA... Analise os metadados antes de gerar o RDF.', 'loading');


    //const status = document.getElementById('aiStatus');
    //status.classList.remove('d-none');
    //status.innerHTML = '<div class="spinner-border spinner-border-sm"></div> Gerando metadados...';

    try {
        const response = await fetch('/generate-with-ai', {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify({ description, orgao })
        });

        const data = await response.json();
        
        if (data.error) throw new Error(data.error);
        
        fillFormWithAI(data);
        $('#aiWizard').modal('hide');
    //} catch (error) {
      //  status.innerHTML = `<div class="text-danger">Erro: ${error.message}</div>`;
    //}
    } catch (error) {
        showAIStatus(`Erro: ${error.message}`, 'error');
    }
}

function showAIStatus(message, type = 'info') {
    const status = document.getElementById('aiStatus');
    status.className = `alert alert-${type === 'error' ? 'danger' : 'info'}`;
    status.innerHTML = type === 'loading' 
        ? `<div class="spinner-border spinner-border-sm"></div> ${message}`
        : message;
}



function fillFormWithAI(data) {
    const mappings = {
        title: '',
        description: '',
        accrualPeriodicity:'',
        keywords: '',
        contactPoint: '',
        publisher: '',
        version: '',
        accessRights: '',
        theme: '',
        license: '',
        creator: '',       
        // ... outros mapeamentos
    };

    Object.entries(mappings).forEach(([field, value]) => {
        const element = document.querySelector(`[name="${field}"]`);
        if (element) element.value = data[field] || value || ' - Informação não encontrada pela IA - ';
    });
}
function clearAIForm() {
    // Limpar campos do formulário
    document.getElementById('aiDescription').value = '';
    
    // Resetar o Select2
    $('#aiOrgao').val(null).trigger('change');

    hideAIStatus();
    
}

function hideAIStatus() {
    const statusDiv = document.getElementById('aiStatus');
    statusDiv.classList.add('d-none'); // Oculta usando Bootstrap
    statusDiv.innerHTML = ''; // Limpa conteúdo anterior
    
    // Opcional: Remover estilos específicos se houver
    statusDiv.style.removeProperty('background-color');
    statusDiv.style.removeProperty('border-color');

    //if (abortController) {
      //  abortController.abort();        
    //}
}
